[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# tdynarraytypeinfo

Type information for a dynamic array.

## Declaration

Source position: dynarrh.inc line 24

`type tdynarraytypeinfo = packed record`
`kind: TTypeKind;` |  | Kind of array.
`namelen: Byte;` |  | Length of the Name of the array type. Name follows as Namelen characters.
`elesize: SizeInt;` |  | Size of a single element in the array
`eletype: ppdynarraytypeinfo;` |  | Pointer to next dimension structure in case of a multidimensional array
`vartype: LongInt;` |  | Type (variant type) of element in the array
`end;`

## Description

tdynarraytypeinfo describes the structure of a multi-dimensional dynamic array. It is used in the DynArraySetLength call.

## See also

DynArraySetLength |  | Set the length of a dynamic array